Bug 1569313

Summary: SELinux is preventing sosreport from associate access on the filesystem fips_enabled.
Product: [Fedora] Fedora Reporter: Chris Murphy <bugzilla>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: dwalsh, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: selinux-policy-3.14.1-24.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-02 10:52:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
journal.log none

Description Chris Murphy 2018-04-19 03:34:13 UTC
When running sosreport, I get avc messages and also the RPM section of the report is empty.
selinux-policy-3.14.1-21.fc28.noarch


Additional Information:
Source Context                system_u:object_r:sysctl_crypto_t:s0
Target Context                system_u:object_r:fs_t:s0
Target Objects                fips_enabled [ filesystem ]
Source                        sosreport
Source Path                   sosreport
Port                          <Unknown>
Host                          f28s.local
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     f28s.local
Platform                      Linux f28s.local 4.16.2-300.fc28.x86_64 #1 SMP Thu
                              Apr 12 14:58:07 UTC 2018 x86_64 x86_64
Alert Count                   2
First Seen                    2018-04-18 21:22:26 MDT
Last Seen                     2018-04-18 21:24:44 MDT
Local ID                      09f607d9-d5cc-4240-9053-13c9e3b32b6e

Raw Audit Messages
type=AVC msg=audit(1524108284.456:1246): avc:  denied  { associate } for  pid=2250 comm="sosreport" name="fips_enabled" dev="sda1" ino=528412 scontext=system_u:object_r:sysctl_crypto_t:s0 tcontext=system_u:object_r:fs_t:s0 tclass=filesystem permissive=0


Hash: sosreport,sysctl_crypto_t,fs_t,filesystem,associate

Comment 1 Chris Murphy 2018-04-19 03:40 UTC
Created attachment 1423873 [details]
journal.log

This journal contains a billion of these AVC messages for various things, as a result of running sosreport from within cockpit on Fedora 28 Server.

Comment 2 Chris Murphy 2018-04-19 03:47:58 UTC
The vast majority of the AVC's deny sosreport and rpm:

scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_lib_t:s0 tclass=file permissive=0


Quite a few of the avc's in the log may be duplicates, I'm finding a small sample of roughly 4-5 duplicate entries.

Comment 3 Fedora Update System 2018-04-29 13:17:00 UTC
selinux-policy-3.14.1-24.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f58fabee4

Comment 4 Fedora Update System 2018-04-30 01:18:38 UTC
selinux-policy-3.14.1-24.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f58fabee4

Comment 5 Fedora Update System 2018-05-02 10:52:33 UTC
selinux-policy-3.14.1-24.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.